> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# serviceassociate

> MDO provider for associates that are allowed to approve a quote.

## "serviceassociate" MDO List

MDO provider for associates that are allowed to approve a quote.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ServiceAssociateMDOProvider">ServiceAssociateMDOProvider</see> class.
The name of the MDO list is 'serviceassociate'.

## Additional Attributes

| Description                                                                            | Name                | Example Value |
| -------------------------------------------------------------------------------------- | ------------------- | ------------- |
| Flag to include defaul values (currentUser, autoAssign = int.maxValue, unAssigned = 0) | IncludeDefaultItems | False         |
| Flag to add related user's 'not present' status message to fullname                    | AddNotPresentStatus | False         |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/serviceassociate
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("serviceassociate", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name              | StyleHint | ExtraInfo                     |
| --- | ----------------- | --------- | ----------------------------- |
| 106 | Adm6              |           | person\_id=223\&contact\_id=0 |
| 17  | Sal0              |           | person\_id=153\&contact\_id=0 |
| 29  | Ser0              |           | person\_id=165\&contact\_id=0 |
| 30  | Ser1              |           | person\_id=166\&contact\_id=0 |
| 31  | Ser2              |           | person\_id=167\&contact\_id=0 |
| 32  | Ser3              |           | person\_id=168\&contact\_id=0 |
| 33  | Ser4              |           | person\_id=169\&contact\_id=0 |
| 34  | Ser5              |           | person\_id=170\&contact\_id=0 |
| 64  | SerNS03 NetServer |           | person\_id=184\&contact\_id=0 |
| 23  | Tje0              |           | person\_id=159\&contact\_id=0 |
| 24  | Tje1              |           | person\_id=160\&contact\_id=0 |
| 25  | Tje2              |           | person\_id=161\&contact\_id=0 |
| 26  | Tje3              |           | person\_id=162\&contact\_id=0 |
| 27  | Tje4              |           | person\_id=163\&contact\_id=0 |
| 28  | Tje5              |           | person\_id=164\&contact\_id=0 |
| 99  | Tjeneste Sjef     |           | person\_id=205\&contact\_id=0 |
| 65  | TjeNS04 NetServer |           | person\_id=185\&contact\_id=0 |

## Related MDO Lists

* "serviceassociateheadings"
* "serviceassociateheadingswithallitem"
* "serviceassociateheadingswithallitemwithnoselection"
* "serviceassociateheadingswithnoselection"
* "serviceassociatewithallitem"
* "serviceassociatewithallitemwithnoselection"
* "serviceassociatewithnoselection"


## Related topics

- [What's new in version 11.6.943.0](/release-notes/database/changes-11.6.943.md)
- [What's new in version 11.7.727.0](/release-notes/database/changes-11.7.727.md)
- [What's new in version 11.8.788.0](/release-notes/database/changes-11.8.788.md)
- [What's new in version 11.9.1204.0](/release-notes/database/changes-11.9.1204.md)
- [What's new in version 11.10.705.0](/release-notes/database/changes-11.10.705.md)
- [What's new in version 11.11.589.0](/release-notes/database/changes-11.11.589.md)
